CREATE procedure [C6Staging].[RP_ST_DettAltriProdotti] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettAltriProdotti',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_DettAltriProdotti
/* 11/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non più utilizzati per l'evolutiva patrimonio immobiliare.
*/
	insert into c6staging.RP_DettAltriProdotti
	--select * into c6staging.RP_DettAltriProdotti from [CONSUNI].[ConsulenzaUnica].dbo.DettAltriProdotti
	--select * from [CONSUNI].[ConsulenzaUnica].dbo.DettAltriProdotti
	select  [chiaveProdottoTerzi],
	[idTipoExtra],
	[descrizione],
	NULL,
	[valoreStimato],
	NULL,
	NULL,
	NULL,
	[flagAssicurativo],
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL,
	NULL
	from [CONSUNI].[ConsulenzaUnica].dbo.DettAltriProdotti
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettAltriProdotti' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettAltriProdotti'
		)
end